explain_fchown_or_die(3)

NAME
explain_fchown_or_die - change ownership of a file and report errors

SYNOPSIS
#include <libexplain/fchown.h>

void explain_fchown_or_die(int fildes, int owner, int group);

DESCRIPTION
The explain_fchown_or_die function is used to call the fchown(2) system call. On failure an explanation will be printed to stderr, obtained from explain_fchown(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_fchown_or_die(fildes, owner, group);

fildes
    The fildes, exactly as to be passed to the fchown(2) system call.

owner
    The owner, exactly as to be passed to the fchown(2) system call.

group
    The group, exactly as to be passed to the fchown(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

fchown(2)
    change ownership of a file

explain_fchown(3)
    explain fchown(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller